Debian Bug report logs - #666992
grub-pc: installation into partition broken, postinst script does not detect MBR installation

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: Norbert Preining <preining@logic.at>

Date: Tue, 3 Apr 2012 07:57:09 UTC

Severity: important

Found in version grub2/1.99-20

Fixed in version grub2/1.99-21

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#666992; Package grub-pc. (Tue, 03 Apr 2012 07:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 03 Apr 2012 07:57:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: installation into partition broken, postinst script does not detect MBR installation
Date: Tue, 03 Apr 2012 16:40:26 +0900
Package: grub-pc
Version: 1.99-20
Severity: important

Dear maintainers of grub2

I don't know if it was always like that, but the last update of grub2
failed in the postinst script, because it tried to install into
	/dev/sda3
which was found via
	grub-probe --target=device /boot
Yes, all my linux is in /dev/sda3, all of it. The error message is
# grub-install /dev/sda3
/usr/sbin/grub-setup: warn: Attempting to install GRUB to a partitionless disk or to a partition.  This is a BAD idea..
/usr/sbin/grub-setup: warn: Embedding is not possible.  GRUB can only be installed in this setup by using blocklists.  However, blocklists are UNRELIABLE and their use is discouraged..
/usr/sbin/grub-setup: error: will not proceed with blocklists.
#

I faintly remember that I *have* installed grub into sda3 before, but
that is no proof I assume.

Now, installation into the MBR works without a problem, and I am
anyway running it from the MBR.

So what I see here are two bugs:
* grub is not able to be installed into my /dev/sda3
* postinst is not able to detect that grub is already installed in MBR

Just to let you know

Norbert


-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/root / ext4 rw,noatime,errors=remount-ro 0 0
/dev/sda2 /xp fuseblk rw,nosuid,nodev,relatime,user_id=0,group_id=0,default_permissions,allow_other,blksize=4096 0 0
/dev/loop0 /media/TL2009 iso9660 ro,relatime 0 0
/dev/loop1 /media/TL2011 iso9660 ro,relatime 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/sda
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

terminal_input console
terminal_output console
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 3.4.0-rc1+' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.4.0-rc1+ ...'
	linux	/boot/vmlinuz-3.4.0-rc1+ root=/dev/sda3 ro rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0 
}
menuentry 'Debian GNU/Linux, with Linux 3.4.0-rc1+ (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.4.0-rc1+ ...'
	linux	/boot/vmlinuz-3.4.0-rc1+ root=/dev/sda3 ro single rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0
}
menuentry 'Debian GNU/Linux, with Linux 3.3.0+' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.3.0+ ...'
	linux	/boot/vmlinuz-3.3.0+ root=/dev/sda3 ro rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0 
}
menuentry 'Debian GNU/Linux, with Linux 3.3.0+ (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.3.0+ ...'
	linux	/boot/vmlinuz-3.3.0+ root=/dev/sda3 ro single rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0
}
menuentry 'Debian GNU/Linux, with Linux 3.3.0-wl+' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.3.0-wl+ ...'
	linux	/boot/vmlinuz-3.3.0-wl+ root=/dev/sda3 ro rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0 
}
menuentry 'Debian GNU/Linux, with Linux 3.3.0-wl+ (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.3.0-wl+ ...'
	linux	/boot/vmlinuz-3.3.0-wl+ root=/dev/sda3 ro single rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0
}
menuentry 'Debian GNU/Linux, with Linux 3.2.0+' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.2.0+ ...'
	linux	/boot/vmlinuz-3.2.0+ root=/dev/sda3 ro rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0 
}
menuentry 'Debian GNU/Linux, with Linux 3.2.0+ (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 3.2.0+ ...'
	linux	/boot/vmlinuz-3.2.0+ root=/dev/sda3 ro single rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0
}
menuentry 'Debian GNU/Linux, with Linux 2.6.39+' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 2.6.39+ ...'
	linux	/boot/vmlinuz-2.6.39+ root=/dev/sda3 ro rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0 
}
menuentry 'Debian GNU/Linux, with Linux 2.6.39+ (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	echo	'Loading Linux 2.6.39+ ...'
	linux	/boot/vmlinuz-2.6.39+ root=/dev/sda3 ro single rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	linux16	/boot/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	linux16	/boot/memtest86+.bin console=ttyS0,115200n8
}
menuentry "Memory test (memtest86+, experimental multiboot)" {
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	multiboot	/boot/memtest86+_multiboot.bin
}
menuentry "Memory test (memtest86+, serial console 115200, experimental multiboot)" {
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos3)'
	search --no-floppy --fs-uuid --set=root 961635f4-762d-4136-a3d5-35fca8e4f3d8
	multiboot	/boot/memtest86+_multiboot.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###

# For booting Microsoft Windows
menuentry "Microsoft Windows 7" {
	set root=(hd0,2)
	drivemap -s (hd0) ${root}
	chainloader +1
}

# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

*********************** BEGIN /proc/mdstat
cat: /proc/mdstat: No such file or directory
*********************** END /proc/mdstat

*********************** BEGIN /dev/disk/by-id
total 0
lrwxrwxrwx 1 root root  9 Apr  3 13:03 ata-MATSHITADVD-RAM_UJ862AS_HF01_053096 -> ../../sr0
lrwxrwxrwx 1 root root  9 Apr  3 16:30 ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276 -> ../../sda
lrwxrwxrwx 1 root root 10 Apr  3 13:03 ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Apr  3 13:03 ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr  3 13:03 ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Apr  3 13:03 ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part4 -> ../../sda4
lrwxrwxrwx 1 root root  9 Apr  3 16:30 scsi-SATA_WDC_WD10JPVT-00_WD-WXK1A7154276 -> ../../sda
lrwxrwxrwx 1 root root 10 Apr  3 13:03 scsi-SATA_WDC_WD10JPVT-00_WD-WXK1A7154276-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Apr  3 13:03 scsi-SATA_WDC_WD10JPVT-00_WD-WXK1A7154276-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr  3 13:03 scsi-SATA_WDC_WD10JPVT-00_WD-WXK1A7154276-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Apr  3 13:03 scsi-SATA_WDC_WD10JPVT-00_WD-WXK1A7154276-part4 -> ../../sda4
lrwxrwxrwx 1 root root  9 Apr  3 16:30 wwn-0x50014ee656ef437f -> ../../sda
lrwxrwxrwx 1 root root 10 Apr  3 13:03 wwn-0x50014ee656ef437f-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Apr  3 13:03 wwn-0x50014ee656ef437f-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr  3 13:03 wwn-0x50014ee656ef437f-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Apr  3 13:03 wwn-0x50014ee656ef437f-part4 -> ../../sda4
*********************** END /dev/disk/by-id

*********************** BEGIN /dev/disk/by-uuid
total 0
lrwxrwxrwx 1 root root 10 Apr  3 13:03 04722AAB722AA182 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr  3 13:03 4f28b77d-a040-4455-96d6-acebbfaef8d3 -> ../../sda4
lrwxrwxrwx 1 root root 10 Apr  3 13:03 961635f4-762d-4136-a3d5-35fca8e4f3d8 -> ../../sda3
*********************** END /dev/disk/by-uuid

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (499, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4.0-rc1+ (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]  1.5.42
ii  grub-common            1.99-20
ii  grub-pc-bin            1.99-20
ii  grub2-common           1.99-20
ii  ucf                    3.0025+nmu2

grub-pc recommends no packages.

grub-pc suggests no packages.

-- debconf information:
  grub2/kfreebsd_cmdline:
  grub2/device_map_regenerated:
  grub2/linux_cmdline: rootfstype=ext4 acpi_osi="!Windows 2006" nmi_watchdog=0
* grub-pc/install_devices_failed: true
  grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: false
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/disk_description:
  grub2/kfreebsd_cmdline_default: quiet
  grub2/linux_cmdline_default:
  grub-pc/install_devices_empty: false
* grub-pc/install_devices: /dev/disk/by-id/ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276, /dev/disk/by-id/ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part3
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/partition_description:
  grub-pc/install_devices_disks_changed:
  grub-pc/mixed_legacy_and_grub2: true




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#666992; Package grub-pc. (Tue, 03 Apr 2012 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 03 Apr 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 666992@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Norbert Preining <preining@logic.at>, 666992@bugs.debian.org
Subject: Re: Bug#666992: grub-pc: installation into partition broken, postinst script does not detect MBR installation
Date: Tue, 3 Apr 2012 14:14:26 +0100
On Tue, Apr 03, 2012 at 04:40:26PM +0900, Norbert Preining wrote:
> I don't know if it was always like that, but the last update of grub2
> failed in the postinst script, because it tried to install into
> 	/dev/sda3
> which was found via
> 	grub-probe --target=device /boot
> Yes, all my linux is in /dev/sda3, all of it. The error message is
> # grub-install /dev/sda3
> /usr/sbin/grub-setup: warn: Attempting to install GRUB to a partitionless disk or to a partition.  This is a BAD idea..
> /usr/sbin/grub-setup: warn: Embedding is not possible.  GRUB can only be installed in this setup by using blocklists.  However, blocklists are UNRELIABLE and their use is discouraged..
> /usr/sbin/grub-setup: error: will not proceed with blocklists.
> #

The real error may be obtained using 'grub-install --force /dev/sda3',
and I strongly suspect that it is along the lines of "error:
non-sector-aligned data is found in the core file".  See:

  https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/972250

> I faintly remember that I *have* installed grub into sda3 before, but
> that is no proof I assume.
> 
> Now, installation into the MBR works without a problem, and I am
> anyway running it from the MBR.
> 
> So what I see here are two bugs:
> * grub is not able to be installed into my /dev/sda3

That is indeed an important regression and I'm working on a fix now.

> * postinst is not able to detect that grub is already installed in MBR
[...]
> * grub-pc/install_devices: /dev/disk/by-id/ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276, /dev/disk/by-id/ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part3

If you don't want to install it to /dev/sda3, then you should run 'sudo
dpkg-reconfigure grub-pc' and select only /dev/sda.  At the moment this
debconf-show output indicates that you have both /dev/sda and /dev/sda3
selected there, hence why the postinst tried to do this.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#666992; Package grub-pc. (Tue, 03 Apr 2012 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 03 Apr 2012 14:33:07 GMT) Full text and rfc822 format available.

Message #15 received at 666992@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Colin Watson <cjwatson@debian.org>
Cc: 666992@bugs.debian.org
Subject: Re: Bug#666992: grub-pc: installation into partition broken, postinst script does not detect MBR installation
Date: Tue, 3 Apr 2012 23:31:23 +0900
Hi Colin,

thanks for the prompt answer!

On Di, 03 Apr 2012, Colin Watson wrote:
> The real error may be obtained using 'grub-install --force /dev/sda3',
> and I strongly suspect that it is along the lines of "error:
> non-sector-aligned data is found in the core file".  See:

Indeed, exactely this error.

> > * grub is not able to be installed into my /dev/sda3
> 
> That is indeed an important regression and I'm working on a fix now.

Thanks.

From my side no hurry, as I have grub in MBR.

> > * postinst is not able to detect that grub is already installed in MBR
> [...]
> > * grub-pc/install_devices: /dev/disk/by-id/ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276, /dev/disk/by-id/ata-WDC_WD10JPVT-00A1YT0_WD-WXK1A7154276-part3
> 
> If you don't want to install it to /dev/sda3, then you should run 'sudo
> dpkg-reconfigure grub-pc' and select only /dev/sda.  At the moment this

Haaaa, debconf is *no* registry .... lintian warning ;-)))))

I was *searching* for a conffile that sets this, without success.

> debconf-show output indicates that you have both /dev/sda and /dev/sda3
> selected there, hence why the postinst tried to do this.

And actually, I *want* grub installed in both. In case some stupid
installer (like Windows) trashes my MBR, I only need to make part3
active, boot from it, and reinstall grub into the MBR ;-)

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
BOOK	...Man had always assumed that he was more intelligent than
	dolphins because he had achieved so much... the wheel, New York,
	wars, and so on, whilst all the dolphins had ever done was muck
	about in the water having a good time. But conversely the
	dolphins believed themselves to be more intelligent than man for
	precisely the same reasons.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 03 Apr 2012 17:21:05 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Tue, 03 Apr 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 666992-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 666992-close@bugs.debian.org
Subject: Bug#666992: fixed in grub2 1.99-21
Date: Tue, 03 Apr 2012 17:18:52 +0000
Source: grub2
Source-Version: 1.99-21

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.99-21_i386.deb
  to main/g/grub2/grub-common_1.99-21_i386.deb
grub-coreboot-bin_1.99-21_i386.deb
  to main/g/grub2/grub-coreboot-bin_1.99-21_i386.deb
grub-coreboot_1.99-21_i386.deb
  to main/g/grub2/grub-coreboot_1.99-21_i386.deb
grub-efi-amd64-bin_1.99-21_i386.deb
  to main/g/grub2/grub-efi-amd64-bin_1.99-21_i386.deb
grub-efi-amd64_1.99-21_i386.deb
  to main/g/grub2/grub-efi-amd64_1.99-21_i386.deb
grub-efi-ia32-bin_1.99-21_i386.deb
  to main/g/grub2/grub-efi-ia32-bin_1.99-21_i386.deb
grub-efi-ia32_1.99-21_i386.deb
  to main/g/grub2/grub-efi-ia32_1.99-21_i386.deb
grub-efi_1.99-21_i386.deb
  to main/g/grub2/grub-efi_1.99-21_i386.deb
grub-emu_1.99-21_i386.deb
  to main/g/grub2/grub-emu_1.99-21_i386.deb
grub-firmware-qemu_1.99-21_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.99-21_i386.deb
grub-ieee1275-bin_1.99-21_i386.deb
  to main/g/grub2/grub-ieee1275-bin_1.99-21_i386.deb
grub-ieee1275_1.99-21_i386.deb
  to main/g/grub2/grub-ieee1275_1.99-21_i386.deb
grub-linuxbios_1.99-21_i386.deb
  to main/g/grub2/grub-linuxbios_1.99-21_i386.deb
grub-mount-udeb_1.99-21_i386.udeb
  to main/g/grub2/grub-mount-udeb_1.99-21_i386.udeb
grub-pc-bin_1.99-21_i386.deb
  to main/g/grub2/grub-pc-bin_1.99-21_i386.deb
grub-pc_1.99-21_i386.deb
  to main/g/grub2/grub-pc_1.99-21_i386.deb
grub-rescue-pc_1.99-21_i386.deb
  to main/g/grub2/grub-rescue-pc_1.99-21_i386.deb
grub2-common_1.99-21_i386.deb
  to main/g/grub2/grub2-common_1.99-21_i386.deb
grub2_1.99-21.diff.gz
  to main/g/grub2/grub2_1.99-21.diff.gz
grub2_1.99-21.dsc
  to main/g/grub2/grub2_1.99-21.dsc
grub2_1.99-21_i386.deb
  to main/g/grub2/grub2_1.99-21_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666992@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 03 Apr 2012 14:19:18 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-pc-bin grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot grub-efi-ia32-bin grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64 grub-ieee1275-bin grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong grub-mount-udeb
Architecture: source i386
Version: 1.99-21
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 666992
Changes: 
 grub2 (1.99-21) unstable; urgency=low
 .
   * Backport from upstream:
     - Fix hook calling for unaligned segments (closes: #666992,
       LP: #972250).
Checksums-Sha1: 
 5281636977900dd43e41f6f25dc5c3a2b9e877b9 3842 grub2_1.99-21.dsc
 ed1bf97320d2dd9035d1256e895aa27c32381ec6 399852 grub2_1.99-21.diff.gz
 f561a2b9b6900bd9d0b7a0d7e6b73785731249e5 2474 grub2_1.99-21_i386.deb
 ac09aaaf8158cb248f2d77a5d7b19db473039227 1040 grub-linuxbios_1.99-21_i386.deb
 9fb52db6ba8c74fc336d3b32e6e295417153c104 1054 grub-efi_1.99-21_i386.deb
 0745963585f2af5628e6ebdd99949cc7741c0a57 2632014 grub-common_1.99-21_i386.deb
 545f673992390a36d5a83aa0af00e411665f2c49 94062 grub2-common_1.99-21_i386.deb
 d26b6cacc9b6b33394070a58e4e5c83694c40c5a 3343728 grub-emu_1.99-21_i386.deb
 75083cdb5483ab719f0f14f7f767a82bfabb8b15 844516 grub-pc-bin_1.99-21_i386.deb
 2d0388972f148da25e2d19ebcec9a7a88dcd962c 139026 grub-pc_1.99-21_i386.deb
 600bf0bccdcf97b6ab3a3d2f0ccf2223c19e8591 1583784 grub-rescue-pc_1.99-21_i386.deb
 7f17e6bf13168c325358857239dbf34680557114 589102 grub-coreboot-bin_1.99-21_i386.deb
 90c23120ecd349f51d716ccedcb8350ac2f903b9 38168 grub-coreboot_1.99-21_i386.deb
 9d26623d4b03d9c3c42ba7288620b8f5b2546d4b 602524 grub-efi-ia32-bin_1.99-21_i386.deb
 5237dfdc2f09b07a1d9a2ac164262bcd8372a42c 38254 grub-efi-ia32_1.99-21_i386.deb
 01556f5e5605563f9f06be695c11e1473f02b14d 641606 grub-efi-amd64-bin_1.99-21_i386.deb
 bd0bbafa3ce2c1e2219024a90a6a9d27089c2216 38238 grub-efi-amd64_1.99-21_i386.deb
 bf492616aaf6317c59909ec95e283664201ef076 586194 grub-ieee1275-bin_1.99-21_i386.deb
 044f75a5a293fd21ce26e142e617ff315f3b15e1 38212 grub-ieee1275_1.99-21_i386.deb
 c575f480d5a19621c5874ae01739f76e195063db 876526 grub-firmware-qemu_1.99-21_i386.deb
 12fdafd42a436c67b85a98213b9da1db787c6cee 340898 grub-mount-udeb_1.99-21_i386.udeb
Checksums-Sha256: 
 cf7155500b9fa5669130f6d30a98f64ff66f1f58b4e74208083c69d832cc38f0 3842 grub2_1.99-21.dsc
 f80adb9babbaac5647d3986690dfc0f82cf1bda4f83e6c1b093d0c0de2527c0c 399852 grub2_1.99-21.diff.gz
 1431c2618ab0b4e96e68f8e3564c0bb26ec548f4b5b44766f353746dcb4057bd 2474 grub2_1.99-21_i386.deb
 3981380d773803b269831454302611a977718f47dc0e94a201a6244ea307087f 1040 grub-linuxbios_1.99-21_i386.deb
 c1acc91e8a7a7f31db884725bde3fbf1f19f36158f672ecc73180e4ec8ac7b16 1054 grub-efi_1.99-21_i386.deb
 cafb25651088ca45c2127ec02848e51617edc39c1908cd9cdb509737555e5bfd 2632014 grub-common_1.99-21_i386.deb
 176de66057ab7dc932c60b7ae4744bf9936cfaf56308b682cb95b0d29559d588 94062 grub2-common_1.99-21_i386.deb
 30bb28924874c47b628cf9bd0004dab1ae02bd62b06a48788e334740a616649c 3343728 grub-emu_1.99-21_i386.deb
 28670bf6327080607ec580983c7ffaf420fd992996b306db86ebff2c66b5f806 844516 grub-pc-bin_1.99-21_i386.deb
 cd0961193b396b172eb41a99467be6401b331989f06f043afdcfba6600d502f7 139026 grub-pc_1.99-21_i386.deb
 e1a3e22e3c76aae0cd85f336e979ee27db7095fc2b20aa838ceffe92eaed6b4e 1583784 grub-rescue-pc_1.99-21_i386.deb
 67c5ed435c2a04abfe483fc16b9e0e2945e7f6cc8694371c95200d57377bd992 589102 grub-coreboot-bin_1.99-21_i386.deb
 f9d2815c0a9ab4c6c6f202838f98a141383bb3d304436a6b5387e5da51109234 38168 grub-coreboot_1.99-21_i386.deb
 9e607aafec5e7e4c5b943258510f4dfd1c3e6338530f23056f75826c2732218c 602524 grub-efi-ia32-bin_1.99-21_i386.deb
 277cc33297d84b98ba77b20870734ab8b6bd02d8d2d5f2185148240801675100 38254 grub-efi-ia32_1.99-21_i386.deb
 5555c629b72fc5d8aa65a94258707d752693e4b2c597cdbc515d25a43d750a92 641606 grub-efi-amd64-bin_1.99-21_i386.deb
 481948948c6ed0d51900db2fa230a20bdb5283529f98fb94cb97110cae3afb34 38238 grub-efi-amd64_1.99-21_i386.deb
 a63234071b0d0064cdf1bca9aa83c4ef4ceb915310ac5bfce04c3b027fd969c6 586194 grub-ieee1275-bin_1.99-21_i386.deb
 cb886d7f9e97ac9cbc44fde7b243e683ff4782c96f5bc5f74f4c7fd3b1501f5f 38212 grub-ieee1275_1.99-21_i386.deb
 66c057831cb5ee9fe50b31657c4a6fc379aea48341be669c039fff689fe8b341 876526 grub-firmware-qemu_1.99-21_i386.deb
 eaf95ec7675c2635811125498f6fc9b5cfe9a471fd44e0ec4d79aa3018d2025b 340898 grub-mount-udeb_1.99-21_i386.udeb
Files: 
 4347a98c9d57f6127b737b7c4984adf3 3842 admin extra grub2_1.99-21.dsc
 0efe42d3963b2eef2226a9db13a25321 399852 admin extra grub2_1.99-21.diff.gz
 f566775547da6da05bce8f61d41b91a7 2474 admin extra grub2_1.99-21_i386.deb
 3e79b65cdbd759a05b4aa67d121987dd 1040 admin extra grub-linuxbios_1.99-21_i386.deb
 0833a987f95f845e61f499619cdd2df5 1054 admin extra grub-efi_1.99-21_i386.deb
 0a99dcf15558f1ea9eb7177c76c10e1b 2632014 admin optional grub-common_1.99-21_i386.deb
 6a32bd4185674a4e5fa82d1cae586f56 94062 admin optional grub2-common_1.99-21_i386.deb
 f1ef9bd5aa6b2cc5837ee86c4055a772 3343728 admin extra grub-emu_1.99-21_i386.deb
 8880c45ab01699060a2d0a065bde8080 844516 admin optional grub-pc-bin_1.99-21_i386.deb
 61bb606ec992200e31440a7a80e6a7f1 139026 admin optional grub-pc_1.99-21_i386.deb
 6b8adac3a6bcf3a6fe80dd9fd60025c2 1583784 admin extra grub-rescue-pc_1.99-21_i386.deb
 339e2bbd0c0508667691b8c8278dbbc1 589102 admin extra grub-coreboot-bin_1.99-21_i386.deb
 302d8b0fe1848427d4b11e87c155d1c8 38168 admin extra grub-coreboot_1.99-21_i386.deb
 80498a0e6b46f010de2846d420f342f7 602524 admin extra grub-efi-ia32-bin_1.99-21_i386.deb
 1d2370a9cdb0f388e7bac93765f0a696 38254 admin extra grub-efi-ia32_1.99-21_i386.deb
 c75371e00e3bb818b7a493e72b47e6d6 641606 admin extra grub-efi-amd64-bin_1.99-21_i386.deb
 8578ab0f894d82a8812fae5697f6a716 38238 admin extra grub-efi-amd64_1.99-21_i386.deb
 5838702968ee25f4f2f6730df0176e7f 586194 admin extra grub-ieee1275-bin_1.99-21_i386.deb
 d2a780b9ae796adf9fe06ae64a3b65ab 38212 admin extra grub-ieee1275_1.99-21_i386.deb
 98a704b2bb4792cef3b2e48afad8f28a 876526 admin extra grub-firmware-qemu_1.99-21_i386.deb
 427417e2e097d46a579dd489e9d2696e 340898 debian-installer extra grub-mount-udeb_1.99-21_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBT3sseDk1h9l9hlALAQixdA/8Da+zvEHpDUggiNiwD0pyUHrRnkW4qYnh
vTW3chzQYTtUWzD5mUkAH4coZUmPbyycQea5yAnSoDU1yAe3My+iWpkNs/I6/T0+
18IciRtgngvEaLJ+ZgvL6O7d9/mGNnORejpylQwum1fEGB2cXn6iRh3ncaa2hnoo
wQ2mWLSfAOc5O/kxyzuy21ym9ezGRoc8lkyLNQ+qkozqH4sg/ZuHtQ2ZFkNp4dqb
XSYapxAImG7xseiZUBGVQJKpoxHyuXFhgfcfzAlmHfjZne1JsNFP3r3EVWooaEzj
IsRc9h18UJbAaWxPW7ClI64TRfxgbUDEpSLg6VuDnkvlqVhefZ3nx0qqodgsHd3V
GgpvqnsMY5bz0eCC/pj5ZKGXsAjeBE5fgqAlQGirsB1GLuKcnwEExa1JxDScBo/q
wJm6ZVa7mytMuwBeUlmT77tRworzUAne8OfeuGM1vbDKHYnHw7QmlWTNTUnRiv+O
ufiaczSgAgMSQHXdjkZZMaXXKfW2tdht0YP+pQCkIekyy9B8vNahoWEPDAE23Ox7
+P+ebmJOox1hQkYCNzxpRS8+HoCKSWD8Xzyx2mUr0StKm8b1jsu9AkyCItzg++Ze
Wu0U4rMHeOdnDtFBwrrRSTfaSEZO+MCZE77b3p9hkrRE3OGQWgZi9ZuM9GLZfy3v
5tmjzwDjp6A=
=urBu
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#666992; Package grub-pc. (Tue, 03 Apr 2012 17:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 03 Apr 2012 17:27:07 GMT) Full text and rfc822 format available.

Message #25 received at 666992@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 666992@bugs.debian.org
Subject: Re: Bug#666992: grub-pc: installation into partition broken, postinst script does not detect MBR installation
Date: Tue, 3 Apr 2012 18:23:53 +0100
On Tue, Apr 03, 2012 at 11:31:23PM +0900, Norbert Preining wrote:
> On Di, 03 Apr 2012, Colin Watson wrote:
> > If you don't want to install it to /dev/sda3, then you should run 'sudo
> > dpkg-reconfigure grub-pc' and select only /dev/sda.  At the moment this
> 
> Haaaa, debconf is *no* registry .... lintian warning ;-)))))

I agree, and grub-pc's configuration is generally something of a mess.
Maybe I'll rewrite it for 2.00 or thereabouts ...

-- 
Colin Watson                                       [cjwatson@debian.org]




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 May 2012 07:43:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:23:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.